summaryrefslogtreecommitdiff
path: root/.github/workflows/fedora.sh
diff options
context:
space:
mode:
Diffstat (limited to '.github/workflows/fedora.sh')
-rwxr-xr-x.github/workflows/fedora.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/.github/workflows/fedora.sh b/.github/workflows/fedora.sh
new file mode 100755
index 0000000..87ceb46
--- /dev/null
+++ b/.github/workflows/fedora.sh
@@ -0,0 +1,39 @@
+#!/usr/bin/bash
+
+set -eo pipefail
+
+# Use grouped output messages
+infobegin() {
+ echo "::group::${1}"
+}
+infoend() {
+ echo "::endgroup::"
+}
+
+# Required packages on Fedora
+requires=(
+ ccache # Use ccache to speed up build
+)
+
+# https://src.fedoraproject.org/cgit/rpms/mate-netbook.git
+requires+=(
+ autoconf-archive
+ gcc
+ desktop-file-utils
+ git
+ gtk3-devel
+ libfakekey-devel
+ libwnck3-devel
+ make
+ mate-common
+ mate-panel-devel
+ redhat-rpm-config
+)
+
+infobegin "Update system"
+dnf update -y
+infoend
+
+infobegin "Install dependency packages"
+dnf install -y ${requires[@]}
+infoend